Skip to main content
POST
/
merchant
/
plan
/
metric_limit_override
Override Metric Limits Of Plan
curl --request POST \
  --url https://api.unibee.dev/merchant/plan/metric_limit_override \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "planId": 123,
  "metadataOverride": {},
  "metricLimit": [
    {
      "metricLimit": 123,
      "metricCode": "<string>",
      "metricId": 123
    }
  ]
}
'
{
  "code": 123,
  "data": {
    "metadataOverrideSuccess": true,
    "metricLimitOverrideSuccess": true
  },
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/plan/metric_limit_override Insert or override metric limit items of a plan

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
metadataOverrideobjectNoMetadata to override for plan, only provided keys will be added/updated
metricLimitarrayNoMetricLimit items to insert or override, identify metric by id or code
planIdintegerYesId of plan

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/plan/metric_limit_override" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "metadataOverride": {},
  "metricLimit": [],
  "planId": 0
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/plan/metric_limit_override" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "metadataOverride": {},
  "metricLimit": [],
  "planId": 0
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.
FieldTypeDescription
codeintegerResponse code. 0 = success
dataobjectResponse payload
data.metadataOverrideSuccessbooleanWhether metadata override processed successfully
data.metricLimitOverrideSuccessbooleanWhether metric limits override processed successfully
messagestringHuman-readable message
requestIdstringRequest ID for support

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Insert or override metric limit items of a plan

planId
integer<int64>
required

Id of plan

metadataOverride
object

Metadata to override for plan, only provided keys will be added/updated

metricLimit
object[]

MetricLimit items to insert or override, identify metric by id or code

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>